package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.UserModule;
import com.lightinit.hsdataportal.entity.UserModuleExample;
import java.util.List;

import org.apache.ibatis.annotations.Param;

public interface UserModuleMapper {
    long countByExample(UserModuleExample example);

    int deleteByExample(UserModuleExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserModule record);

    int insertSelective(UserModule record);

    List<UserModule> selectByExample(UserModuleExample example);

    UserModule selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserModule record, @Param("example") UserModuleExample example);

    int updateByExample(@Param("record") UserModule record, @Param("example") UserModuleExample example);

    int updateByPrimaryKeySelective(UserModule record);

    int updateByPrimaryKey(UserModule record);
}